import { IHotelColorScheme } from '@roomstay/core';
import { Company } from '../../../models/Client/Hotel/Company';
import { Hotel } from '../../../models/Client/Hotel/Hotel';
import Step from '../Step';
import StepGroupedRoomLoader from './StepGroupedRoomLoader';
import StepGroupedRoomValidator from './StepGroupedRoomValidator';
declare class StepGroupedRoom extends Step {
    constructor();
    getComponent(): typeof StepGroupedRoomLoader;
    getValidator(): StepGroupedRoomValidator;
    getStepTranslation(): string;
    getColorProfile(company: Company, hotel?: Hotel): IHotelColorScheme | undefined;
}
declare const _default: StepGroupedRoom;
export default _default;
